<?php
/***************************************************************************
 *
 *   title:               	Mapa Google
 *   file:                	google_map.php
 *   authors:            qbs
 *                       	paszczak
 *   web:                 	beatsfactory.pl/qbs/
 *                        	paszczak.thecamels.org
 *
 *   --- Based on --------------------
 *
 *   MOD                  	: GMap Mod
 *   file                	: google_map.php
 *   copyright           : (C) 2005 Lviathan
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_map.' . $phpEx);
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_googlemap.' . $phpEx);

$userdata = session_pagestart($user_ip, PAGE_GMAP);
init_userprefs($userdata);


// session id check
if (!empty($HTTP_POST_VARS['sid']) || !empty($HTTP_GET_VARS['sid']))
{
	$sid = (!empty($HTTP_POST_VARS['sid'])) ? $HTTP_POST_VARS['sid'] : $HTTP_GET_VARS['sid'];
}
else
{
	$sid = '';
}

if ( !defined('IN_PHPBB') )
{
	die('Hacking attempt');
	exit;
}

if ( isset($HTTP_GET_VARS['lng']) && !empty($HTTP_GET_VARS['lng']) && isset($HTTP_GET_VARS['lat']) && !empty($HTTP_GET_VARS['lat']) )
{
	$lng = $HTTP_GET_VARS['lng'];
	$lat = $HTTP_GET_VARS['lat'];
	$type_map="s";
} else {
	$lng = $board_config['googlemap_start_long'];
	$lat = $board_config['googlemap_start_lat'];
	$type_map="c";
}
if (isset($HTTP_GET_VARS['zoom']) && !empty($HTTP_GET_VARS['zoom'])) {
	$zoom = $HTTP_GET_VARS['zoom'];
} else {
	$zoom = $board_config['googlemap_start_zoom'];
}



$template->set_filenames(array(
	'body' => 'google_map.tpl')
);


$page_title = $lang['GMap_Mod'];
$google_map = true;
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->assign_vars(array(
	'LNG' => $lang['lng_map'],
	'LAT' => $lang['lat_map'],
	'INIT_LNG' => $lng,
	'INIT_LAT' => $lat,
	'INIT_ZOOM' => $zoom,
	'INIT_TYPE_MAP' => $type_map,
	'COPYRIGHTS' => $lang['Copyrights'],
	'L_WHO' => $lang['GMap_who'],
	'L_FROM' => $lang['GMap_from'],
	'L_MAP' => $lang['GMap_Mod'])
);

if( $board_config['googlemap_show_stats'] )
{
	$map_stats = getmapstats();
	$template->assign_block_vars('googlemap_stats', array(

		'L_GOOGLEMAP_STATS' => $lang['GMap_stats'],
		'L_ADMINS_ON' => $lang['GMap_admins_online'],
		'L_MODS_ON' => $lang['GMap_mods_online'],
		'L_ADMINMODS_OFF' => $lang['GMap_adminmods_offline'],
		'L_USERS_ON' => $lang['GMap_users_online'],
		'L_USERS_OFF' => $lang['GMap_users_offline'],
		'L_USER_GROUPS' => $lang['GMap_user_groups'],

		'ADMINS_ON' => intval($map_stats[0]),
		'MODS_ON' => intval($map_stats[1]),
		'ADMINMODS_OFF' => intval($map_stats[2]),
		'USERS_ON' => intval($map_stats[3]),
		'USERS_OFF' => intval($map_stats[4])
		));
}

$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>
